package com.emr.dao;

import com.emr.entity.Emr_Staff_Remark;

import java.util.List;

public interface Emr_Staff_RemarkMapper {
    /**
     * 根据id删除记录
     * @param id
     * @return
     */
    int delById(Integer id);

    /**
     * 插入记录
     * @param record
     * @return
     */
    int insert(Emr_Staff_Remark record);

    /**
     * 根据可选字段插入记录
     * @param record
     * @return
     */
    int insertClo(Emr_Staff_Remark record);

    /**
     * 根据条件(可选字段)查询记录
     * @param record
     * @return
     */
    List<Emr_Staff_Remark> selectByCol(Emr_Staff_Remark record);

    /**
     * 根据条件id修改可选字段的记录
     * @param record
     * @return
     */
    int updateByClo(Emr_Staff_Remark record);

    /**
     * 根据主键修改记录
     * @param record
     * @return
     */
    int updateByPrimaryKey(Emr_Staff_Remark record);

    /**
     * 根据id查询记录
     * @param id
     * @return
     */
    Emr_Staff_Remark selectById(Integer id);
}
